Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 624787 - %{_libdir}/girepository-1.0/DBusGLib-1.0.typelib in both gir-repository and dbus-glib
%{_libdir}/girepository-1.0/DBusGLib-1.0.typelib in both gir-repository and d...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gir-repository (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-17 15:16 EDT by Jack Perdue
Modified: 2011-06-28 10:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Perdue 2010-08-17 15:16:48 EDT
Description of problem:

%{_libdir}/girepository-1.0/DBusGLib-1.0.typelib is included in both gir-repository and dbus-glib causing verify errors when using "rpm -V"


Version-Release number of selected component (if applicable):

dbus-glib-0.86-3.fc13
gir-repository-0.6.5-7.fc13


How reproducible:

Very


Steps to Reproduce:
1. yum (re)install dbus-glib gir-repository
2. rpm -V dbus-glib gir-repository
3.


Actual results:

$ rpm -V dbus-glib gir-repository
.M.......    /usr/lib/girepository-1.0/DBusGLib-1.0.typelib


Expected results:

Verification passes (without output).


Additional info:

The same file has a different size/contents in each package.

$ rpm -q --dump dbus-glib gir-repository | grep DBusGLib
/usr/lib/girepository-1.0/DBusGLib-1.0.typelib 604 1277877219 cc2f13bc067f8a94bdbcf211028424c954749aa37301dcb2e7b8795dcb7a350c 0100755 root root 0 0 0 X
/usr/lib/girepository-1.0/DBusGLib-1.0.typelib 604 1271165410 cc2f13bc067f8a94bdbcf211028424c954749aa37301dcb2e7b8795dcb7a350c 0100644 root root 0 0 0 X

The dbus-glib.spec file has this in its changelog:

* Tue Jun 29 2010 Bastien Nocera <bnocera@redhat.com> 0.86-2
- Add introspection data from gir-repository
- Remove unneeded autotools calls

so the likely "correct" fix is to remove that file from gir-repository.spec
Comment 1 Jack Perdue 2010-08-17 15:19:28 EDT
Doh!... correction... upon further review the size/content are the same... the difference is in the mode (755 vs. 644).  Nonetheless, only one of those packages should have that file if "rpm -V" is to work properly (or the modes should be set to agree).
Comment 2 Bug Zapper 2011-06-01 07:21:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jack Perdue 2011-06-01 09:55:20 EDT
No longer seems to be a problem on Fedora 14 since the gir-repository package has been removed (deprecated?) so the conflict is gone.  Since Fedora 13 is EOL, I guess this bug can be closed.
Comment 4 Bug Zapper 2011-06-28 10:32:09 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.